KDE 4.7 PyKDE API Reference

- KDE's Python API

# Category Class Reference

`from PyKDE4.knewstuff import *`

Namespace: KNS

## Detailed Description

KNewStuff category.

Author:
  Josef Spillner (spillner@kde.org)

## Methods
| __init__ (self)
| __init__ (self, KNS.Category a0)
KNS.KTranslatable | description (self)
KUrl | icon (self)
QString | id (self)
KNS.KTranslatable | name (self)
| setDescription (self, KNS.KTranslatable type)
| setIcon (self, KUrl icon)
| setId (self, QString id)
| setName (self, KNS.KTranslatable name)

## Method Documentation

__init__ | ( |  | self ) |

Constructor.

__init__ | ( | self, |
|  | KNS.Category | a0
| ) |  |  |

Constructor.

KNS.KTranslatable description | ( |  | self ) |

Retrieve the description of the category.

Returns:
  category description

KUrl icon | ( |  | self ) |

Retrieve the icon of the category.

Returns:
  category icon

QString id | ( |  | self ) |

Retrieve the unique id of the category.

Returns:
  category id

KNS.KTranslatable name | ( |  | self ) |

Retrieve the name of the category.

Returns:
  category name (potentially translated)

setDescription | ( | self, |
|  | KNS.KTranslatable | type
| ) |  |  |

Sets the category description.

setIcon | ( | self, |
|  | KUrl | icon
| ) |  |  |

Sets the icon.

setId | ( | self, |
|  | QString | id
| ) |  |  |

Sets the unique id for this category.

setName | ( | self, |
|  | KNS.KTranslatable | name
| ) |  |  |

Sets the name for this category.